package cmd

import (
	"flag"
	"os"

	helper "git.espin.casa/albert/TC2-BBS-Mesh/internal/helpers"
	"git.espin.casa/albert/TC2-BBS-Mesh/internal/menus"
	"git.espin.casa/albert/TC2-BBS-Mesh/internal/storage"
	"git.espin.casa/albert/logger"
)

func Run() error {
	// log trace level
	logLevel := flag.String("level", "debug", "Log level")
	// parse flags
	flag.Parse()
	// setup logger
	log := logger.New(os.Stdout, *logLevel)
	// create new storage
	storage, err := storage.NewStorage("./go-bbs.db", log)
	if err != nil {
		return err
	}
	defer storage.Close()
	// info banner
	helper.PrintBanner()
	// show menu
	menus.MeshMenu()
	// done
	return nil
}
